cURL
curl --request GET \ --url https://api.wizcommerce.com/v1/payment-methods \ --header 'X-API-Key: <api-key>'
{ "data": [ { "id": "01f5d171-d3e3-4b2b-bd57-0727194b5bed", "reference_id": "EXT-878", "customer_id": "CST-137", "provider": "stax", "payment_method_type": "card", "card_type": "debit", "brand": "visa", "status": "active", "card_expiry": "09/25", "last_four_digits": "1234", "display_name": "John Doe", "address_line_1": "123 Main St", "address_line_2": "Apt 101", "city": "Anytown", "state": "CA", "country": "US", "zip_code": "12345", "email": "john.doe@example.com", "phone": "+14155552671", "first_name": "John", "last_name": "Doe", "created_at": "2025-01-01T15:04:05Z", "updated_at": "2025-01-01T15:04:05Z", "is_default": false } ], "pagination": { "total_records": 100, "total_pages": 10, "current_page": 1, "next_page": 2, "prev_page": 0, "page_size": 10 } }
List payment methods
API Key for authentication
x >= 1
1 <= x <= 100
255
OK
Show child attributes
Was this page helpful?